import numpy as np

f = open('TWHydra_corrected.ms.listobs')

use = False

source = 'TW Hya'

total = 0.

for line in f:
   if 'Timerange' in line:
       use = True
   if 'Total number of rows per scan' in line:
       use = False
   
   if source in line and use==True: 
      
      rah1 = line[14:16]
      ram1 = line[17:19]
      ras1 = line[20:25]
      #print rah1, ram1, ras1
      
      time1 = float(rah1)+(float(ram1)/60.)+(float(ras1)/3600.)
      #print time1
      
      rah2 = line[27:29]
      ram2 = line[30:32]
      ras2 = line[33:37]
      #print rah2, ram2, ras2
      
      time2 = float(rah2)+(float(ram2)/60.)+(float(ras2)/3600.)
      #print time1
      
      if rah1 > rah2:
          diff = (time2 - (time1-24.))
      else:
          diff = (time2 - time1)
      
      print 60.*diff, "min"
      
      total += diff
      
print "total time on-source for",source,":", total, "hr"
